* infiniband-diags/ibstatus: add link_layer for RoCEE support
@ 2010-03-09 10:37 Yevgeny Kliteynik
[not found] ` <4B9624F2.1000507-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
0 siblings, 1 reply; 2+ messages in thread
From: Yevgeny Kliteynik @ 2010-03-09 10:37 UTC (permalink / raw)
To: Sasha Khapyorsky; +Cc: Linux RDMA
RoCEE introduces new file in sysfs: "link_layer".
Assume IB if the file doesn't exist (driver w/o RoCEE support).
Signed-off-by: Yevgeny Kliteynik <kliteyn-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
---
infiniband-diags/scripts/ibstatus | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/infiniband-diags/scripts/ibstatus b/infiniband-diags/scripts/ibstatus
index 87fbb0c..f7fbbc2 100755
--- a/infiniband-diags/scripts/ibstatus
+++ b/infiniband-diags/scripts/ibstatus
@@ -31,6 +31,7 @@ port_status() {
echo " state: " `[ -r $port_dir/state ] && cat $port_dir/state || echo unknown`
echo " phys state: " `[ -r $port_dir/phys_state ] && cat $port_dir/phys_state || echo unknown`
echo " rate: " `[ -r $port_dir/rate ] && cat $port_dir/rate || echo unknown`
+ echo " link_layer: " `[ -r $port_dir/link_layer ] && cat $port_dir/link_layer || echo IB`
echo
}
--
1.5.1.4
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to majordomo-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
^ permalink raw reply related [flat|nested] 2+ messages in thread
* Re: infiniband-diags/ibstatus: add link_layer for RoCEE support
[not found] ` <4B9624F2.1000507-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
@ 2010-03-23 11:29 ` Sasha Khapyorsky
0 siblings, 0 replies; 2+ messages in thread
From: Sasha Khapyorsky @ 2010-03-23 11:29 UTC (permalink / raw)
To: Yevgeny Kliteynik; +Cc: Linux RDMA
On 12:37 Tue 09 Mar , Yevgeny Kliteynik wrote:
> RoCEE introduces new file in sysfs: "link_layer".
> Assume IB if the file doesn't exist (driver w/o RoCEE support).
>
> Signed-off-by: Yevgeny Kliteynik <kliteyn-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
Applied. Thanks.
Sasha
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to majordomo-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2010-03-23 11:29 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-03-09 10:37 infiniband-diags/ibstatus: add link_layer for RoCEE support Yevgeny Kliteynik
[not found] ` <4B9624F2.1000507-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
2010-03-23 11:29 ` Sasha Khapyorsky
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox